﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Malovani
{
    public partial class MyArea : UserControl
    {
        public MyArea()
        {
            InitializeComponent();

            foreach (Control c in this.Controls)
            {
                c.MouseDown += MyArea_MouseDown;
                c.MouseMove += MyArea_MouseMove;
                c.MouseUp += MyArea_MouseUp;
            }
            
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (openDialog.ShowDialog () == DialogResult.OK)
            {
               imageBox.BackgroundImage = new Bitmap (openDialog.FileName);
            }
        }

        private void MyArea_Load(object sender, EventArgs e)
        {

        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            if (checkBox1.Checked)
               imageBox.BackgroundImageLayout = ImageLayout.Stretch;
            else
               imageBox.BackgroundImageLayout = ImageLayout.Center;
            imageBox.Invalidate ();
        }

        int X0, Y0;
        bool stisk = false;
        bool resize;

        private void MyArea_MouseDown(object sender, MouseEventArgs e)
        {
            X0 = e.X;
            Y0 = e.Y;
            stisk = true;
            resize = e.Button == MouseButtons.Right;
        }

        private void MyArea_MouseMove(object sender, MouseEventArgs e)
        {
            if (stisk)
            {
                if (resize)
                {
                    this.Width += e.X - X0;
                    this.Height += e.Y - Y0;
                    X0 = e.X;
                    Y0 = e.Y;
                }
                else
                {
                   this.Left += e.X - X0;
                   this.Top += e.Y - Y0;
                }
            }
        }

        private void MyArea_MouseUp(object sender, MouseEventArgs e)
        {
            stisk = false;
        }

        private void resizeMenu_Click(object sender, EventArgs e)
        {
            if (resizeMenu.Checked)
                imageBox.BackgroundImageLayout = ImageLayout.Stretch;
            else
                imageBox.BackgroundImageLayout = ImageLayout.Center;
            imageBox.Invalidate();
        }
    }
}
